Subject: bug#23600: 25.1.50; encode-time returns wrong result

From: Kazuhiro Ito <[email-masked]>
Date: Tue, 14 Jun 2016 23:05:52 +0900

> > I noticed that calling format-time-string (or encode-time) with
> > time-zone string fixes the problem.  But I can't see why.
>
> I think I see the problem, at least on GNU/Linux: localtime_r needs
> someone else to call tzset. I installed the attached patch into the
> master branch, to do that.

I confirmed the patch resolves the problem.  Thank you for the fix.

-- 
Kazuhiro Ito